<script lang="ts">
import Vue from 'vue';
import { Accordion } from '~/components/solutions/index.vue';

export default Vue.extend({
  name: 'AIBenefits',
  components: { Accordion },
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
  data() {
    return {
      isOpenIndex: 0 as number,
      items: this.data.fields.card.map((card) => ({
        icon: {
          name: card.iconName,
          variant: 'marketing',
          hex_color: '#ffffff',
        },
        header: card.title,
        text: card.description,
      })),
    };
  },
  methods: {
    toggleController(index: number) {
      if (this.isOpenIndex === index) {
        this.isOpenIndex = null;
        return;
      }
      this.isOpenIndex = index;
    },
  },
});
</script>

<template>
  <section id="ai-benefits" class="by-solution-benefits slp-py-48 slp-py-md-96">
    <SlpRow>
      <SlpColumn :cols="6" size="lg">
        <div class="slp-mb-16 slp-mb-md-32">
          <SlpTypography tag="h2" variant="heading2-bold" class="slp-mb-8">
            <span>{{ data.fields.header }}</span>
          </SlpTypography>
          <SlpTypography tag="h2" variant="body1" class="slp-mb-32 description">
            <span>{{ data.fields.description }}</span>
          </SlpTypography>
        </div>
      </SlpColumn>
      <SlpColumn :cols="6" class="slp-pl-md-16 accordion-items" size="lg">
        <div>
          <div class="by-solution-benefits__items-wrapper">
            <Accordion
              v-for="(item, index) in items"
              :key="item.header"
              :data="item"
              :is-open="isOpenIndex == index"
              @toggleController="toggleController(index)"
            />
          </div>
        </div>
      </SlpColumn>
    </SlpRow>
  </section>
</template>

<style lang="scss" scoped>
.by-solution-benefits {
  position: relative;
  color: $color-text-50;
  .main-cta {
    margin: $spacing-24 0 $spacing-32;
  }

  .cta {
    padding-left: $spacing-48;
    margin-top: 28px;
    text-align: left;
  }

  .description {
    color: $color-surface-400;
  }

  &__row {
    width: 100%;
    word-wrap: break-word;
  }

  &__container {
    position: relative;
    @media (max-width: $breakpoint-lg) {
      margin-bottom: $spacing-48;
    }

    .by-solution-benefits__image {
      max-width: 550px;
      width: 100%;
      border-radius: 4px 4px 200px 4px;
    }
  }

  &__items-wrapper {
    width: 100%;
    &:deep .accordion,
    &:deep .accordion__header,
    &:deep .slp-icon {
      color: $color-text-50;
    }
    &:deep .accordion__icon:before,
    &:deep .accordion__icon:after {
      background-color: $color-text-50;
    }

    &:deep .accordion .summary {
      border-top: 1px solid $color-surface-600;
    }

    &:deep .content {
      color: $color-surface-400;

      a {
        color: $color-accent-400;
      }
    }

    @media (max-width: 1169px) {
      max-width: 100%;
    }
    & > :last-child {
      margin-bottom: 0;
    }
  }

  &__icon {
    margin-right: $spacing-default;
    margin-bottom: 20px;
  }

  &__description {
    padding-left: $spacing-48;
  }

  &__header {
    display: flex;
    align-items: center;
    font-weight: $font-weight-bold;
    margin-bottom: $spacing-4;
  }

  &__items-w-border {
    border-bottom: 1px solid $color-surface-200;
  }
}
.accordion-items {
  @media (min-width: $breakpoint-lg) {
    flex-basis: 50%;
  }
}
.pill {
  display: flex;
  padding: 4px 8px;
  justify-content: center;
  max-width: 170px;
  align-items: center;
  gap: 10px;
  border-radius: 100px;
  margin-bottom: 12px;
  background: $color-surface-950;
}

.description {
  max-width: 550px;
}
</style>
